Bug 470210 - [fix available] Failed to save the meta properties of some formats
[fix available] Failed to save the meta properties of some formats
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2008-11-06 04:37 EST by Suqin Huang
Modified: 2009-09-02 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 05:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix the broken bit (1.30 KB, patch)
2008-11-06 06:00 EST, Caolan McNamara
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 81250 None None None Never
OpenOffice.org 83164 None None None Never
OpenOffice.org 86606 None None None Never

  None (edit)
Description Suqin Huang 2008-11-06 04:37:34 EST
Description of problem:
Failed to set the properties of file. The properties include User Defined, Internet, and Description.

Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.10.el5 x86_64

How reproducible:

Steps to Reproduce:
Situation 1: Open one OOo file, such as .odp file.
Situation 2: Open one MS file, such as .ppt file.

1. Click File->Properties
2. Fill out "Description, User Defined, Internet" area.
3. Save the changes and close this file.
4. Open this file and click File->Properties to check the settings.
Actual results:
Situation 1 result: 
The following settings are failed:
"Internet" area: "Refresh this document" time is always 1 second.

Situation 2 result:
The following settings are failed:
"User Defined" area: The informations filled in the "info" area are not saved.
"Internet" area: "Do not refresh automatically" option is always checked.
Expected results:
All the properties are set successfully.

Additional info:
Comment 1 Caolan McNamara 2008-11-06 05:03:45 EST
The "Situation 2" for "Internet" area is not fixable because the powerpoint / ole2 format does not have the equivalent feature to store the information so it can only ever be lost as there's no place in the destination format to save it.

The "Situation 2" for "info/user defined" is a feature to implement the "DocumentSummaryInformation" capabilities of the microsoft formats, which is partially done in 3.0 but will be fully finished in 3.1

But the "Situation 1" for 1 second refresh is definitely a bug and should be fixed.
Comment 2 Caolan McNamara 2008-11-06 06:00:32 EST
Created attachment 322695 [details]
patch to fix the broken bit
Comment 3 Caolan McNamara 2008-11-06 06:02:37 EST
So, for 2.3.0 the saving of the internet and custom properties to the ".ppt" format is not implemented, so that's expected behaviour and not a bug for 2.3.0

The "reload" time of "1" in our own .odp format definitely is a bug and we can fix that problem.
Comment 4 Suqin Huang 2008-11-06 21:43:58 EST
The refresh time is showed as "1" second, but in fact it doesn't reload every 1 second.
Comment 5 Caolan McNamara 2009-03-12 05:59:32 EDT
committed for >= 2.3.0-6.11

Own formats will save and restore this value, other formats like .ppt remain unable to save the equivalent information, but that's a limitation of the format itself and not fixable
Comment 7 Yewei Shao 2009-06-02 03:04:53 EDT
mshao-> caolan: The problem of comment #4 still exist in openoffice.org-
Comment 8 David Tardon 2009-06-02 04:34:18 EDT
dtardon->mshao: Setting Refresh to some value definitely does not say to the application that it should reload the opened document every x seconds. The properties on the Internet page are for HTML pages exclusively, just as help item for File->Properties->Internet says: "Sets the refresh and redirect options for an HTML page." ODF just allows to save them so they can be applied later by HTML export (that ignore Refresh, anyway).

The problem recognized in comment 3 (i.e. the Refresh property not being saved) has been fixed.
Comment 11 errata-xmlrpc 2009-09-02 05:08:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.